alpm-srcinfo-create(1)

NAME
alpm-srcinfo-create - Create a SRCINFO file from a PKGBUILD file at a given path

SYNOPSIS
alpm-srcinfo create [-o|--output-format] [-p|--pretty] [-h|--help] <FILE>

DESCRIPTION
Create a SRCINFO file from a PKGBUILD file at a given path.

If the PKGBUILD can be created and validated, the program exits with no output and a return code of 0. If the file is missing or can not be validated, an error is emitted on stderr and the program exits with a non-zero exit status.

OPTIONS

-o, --output-format <OUTPUT_FORMAT> [default: srcinfo]
    Provide the output format
    Possible values:

    •   json: The JSON output format

    •   srcinfo: The SRCINFO output format

-p, --pretty
    Pretty-print the output. Only applies to formats that support pretty output and is otherwise ignored.

-h, --help
    Print help (see a summary with '-h')

<FILE>
    An optional input file path to read from If no file is specified, stdin is read from and expected to contain PKGINFO data to validate.